summaryrefslogtreecommitdiffstats
path: root/libraries/PyQt5
diff options
context:
space:
mode:
author Matteo Bernardini2016-06-24 11:28:20 +0200
committer Willy Sudiarto Raharjo2016-06-25 03:54:45 +0200
commitc63f92b98a3071042eae6c2392f2bf58894c35f6 (patch)
tree6213fe918fb629463562211c3e975df2cb21d2d7 /libraries/PyQt5
parent7aade40f6edd3da03be6e74d7b5f46cf201d7ea6 (diff)
downloadslackbuilds-c63f92b98a3071042eae6c2392f2bf58894c35f6.tar.gz
libraries/PyQt5: Added (Python bindings for Qt5).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries/PyQt5')
-rw-r--r--libraries/PyQt5/PyQt5.SlackBuild110
-rw-r--r--libraries/PyQt5/PyQt5.info10
-rw-r--r--libraries/PyQt5/README2
-rw-r--r--libraries/PyQt5/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/libraries/PyQt5/PyQt5.SlackBuild b/libraries/PyQt5/PyQt5.SlackBuild
new file mode 100644
index 0000000000..c1286368dd
--- /dev/null
+++ b/libraries/PyQt5/PyQt5.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for PyQt5
+
+# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
+# Copyright 2008, 2009, 2010, 2011, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2015 Marcel Saegebarth <marc@mos6581.de>
+# Copyright 2016 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackware.com>
+# Modified by Eric Hameleers <alien@slackware.com>
+# Adapted by Marcel Saegebarth <marc@mos6581.de>
+# Adapted by Matteo Bernardini <ponce@slackbuilds.org>
+
+PRGNAM=PyQt5
+VERSION=${VERSION:-5.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}_gpl-$VERSION
+tar xvf $CWD/${PRGNAM}_gpl-$VERSION.tar.gz
+cd ${PRGNAM}_gpl-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# This is needed or an include from dbus is missed (tnx, Archlinux)
+sed -i '/target_config.dbus_inc_dirs = \[\]/d' configure.py
+
+export QTDIR=/usr/lib${LIBDIRSUFFIX}/qt5
+export QT5DIR=/usr/lib${LIBDIRSUFFIX}/qt5
+
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+
+python configure.py \
+ --confirm-license \
+ --verbose \
+ -q /usr/bin/qmake-qt5
+
+make
+make install DESTDIR=$PKG INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/PyQt5/PyQt5.info b/libraries/PyQt5/PyQt5.info
new file mode 100644
index 0000000000..c2a42b6b66
--- /dev/null
+++ b/libraries/PyQt5/PyQt5.info
@@ -0,0 +1,10 @@
+PRGNAM="PyQt5"
+VERSION="5.6"
+HOMEPAGE="https://riverbankcomputing.com/software/pyqt/intro/"
+DOWNLOAD="http://downloads.sourceforge.net/pyqt/PyQt5_gpl-5.6.tar.gz"
+MD5SUM="dbfc885c0548e024ba5260c4f44e0481"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5-webkit"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
diff --git a/libraries/PyQt5/README b/libraries/PyQt5/README
new file mode 100644
index 0000000000..23ab8cbdae
--- /dev/null
+++ b/libraries/PyQt5/README
@@ -0,0 +1,2 @@
+PyQt5 is a set of Python bindings for Trolltech's Qt5 application
+framework and runs on all platforms supported by Qt5.
diff --git a/libraries/PyQt5/slack-desc b/libraries/PyQt5/slack-desc
new file mode 100644
index 0000000000..27986b3ade
--- /dev/null
+++ b/libraries/PyQt5/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+PyQt5: PyQt5 (Python bindings for Qt)
+PyQt5:
+PyQt5: PyQt5 is a set of Python bindings for Trolltech's Qt5 application
+PyQt5: framework and runs on all platforms supported by Qt5.
+PyQt5:
+PyQt5: Homepage: https://riverbankcomputing.com/software/pyqt/intro/
+PyQt5:
+PyQt5:
+PyQt5:
+PyQt5:
+PyQt5: